Security update for the Linux Kernel (Live Patch 30 for SLE 12)

SUSE Security Update: Security update for the Linux Kernel (Live Patch 30 for SLE 12)
Announcement ID: SUSE-SU-2018:4195-1
Rating: important
References: #1115339 #1118320
Cross-References: CVE-2018-5848 CVE-2018-9568
Affected Products:
  • SUSE Linux Enterprise Server 12-LTSS

An update that fixes two vulnerabilities is now available.

Description:

This update for the Linux Kernel 3.12.61-52_111 fixes several issues.
The following security issues were fixed:

  • CVE-2018-9568: Prevent possible memory corruption due to type confusion in sk_clone_lock. This could lead to local privilege escalation (bsc#1118319).
  • CVE-2018-5848: Fixed an unsigned integer overflow in wmi_set_ie. This could lead to a buffer overflow (bsc#1097356).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 12-LTSS:
    zypper in -t patch SUSE-SLE-SERVER-12-2018-2995=1 SUSE-SLE-SERVER-12-2018-2996=1 SUSE-SLE-SERVER-12-2018-2997=1 SUSE-SLE-SERVER-12-2018-2998=1 SUSE-SLE-SERVER-12-2018-2999=1 SUSE-SLE-SERVER-12-2018-3001=1

Package List:

  • SUSE Linux Enterprise Server 12-LTSS (x86_64):
    • kgraft-patch-3_12_61-52_111-default-11-2.1
    • kgraft-patch-3_12_61-52_111-xen-11-2.1
    • kgraft-patch-3_12_61-52_119-default-11-2.1
    • kgraft-patch-3_12_61-52_119-xen-11-2.1
    • kgraft-patch-3_12_61-52_122-default-11-2.1
    • kgraft-patch-3_12_61-52_122-xen-11-2.1
    • kgraft-patch-3_12_61-52_125-default-10-2.1
    • kgraft-patch-3_12_61-52_125-xen-10-2.1
    • kgraft-patch-3_12_61-52_128-default-8-2.1
    • kgraft-patch-3_12_61-52_128-xen-8-2.1
    • kgraft-patch-3_12_61-52_133-default-7-2.1
    • kgraft-patch-3_12_61-52_133-xen-7-2.1

References: